/*	Darstellen des menschliches Lebens durch eine Grafik.
*	"In jedem Scherz ist ein Tropfen Wahrheit."
*
* 	Autor: Viktor Herzog
* 
* <applet code="Live" width=500 height=280>
* </applet>
*
*/

import java.applet.*;
import java.awt.*;

public class Live extends Applet {
int x0=20;
int y0=180;
int jahr;
int monat;
int tag;
int jahr2;
int monat2;
int tag2;
int[] vektor={-1,-1,-1,-1,-1,-1,-1,-1,-1,-1};
int[] vektor2={-1,-1,-1,-1,-1,-1,-1,-1,-1,-1};
TextField Jahr=new TextField();
TextField Monat=new TextField();
TextField Tag=new TextField();
TextField Jahr2=new TextField();
TextField Monat2=new TextField();
TextField Tag2=new TextField();
Label Jahrl=new Label("Jahr:",Label.RIGHT);
Label Monatl=new Label("Monat:",Label.RIGHT);
Label Tagl=new Label("Tag:",Label.RIGHT);
Button Go=new Button("Go!");
Checkbox Dual=new Checkbox("Dual");
boolean paar=false;
	public void init() {
		setLayout(null);
		add(Tag);
		add(Monat);
		add(Jahr);
		add(Tag2);
		add(Monat2);
		add(Jahr2);
		add(Tagl);
		add(Monatl);
		add(Jahrl);
		add(Go);
		add(Dual);
		Tag.setForeground(Color.red);
		Monat.setForeground(Color.red);
		Jahr.setForeground(Color.red);
		Tag.reshape(100,210,35,30);
		Monat.reshape(220,210,35,30);
		Jahr.reshape(350,210,60,30);
		Tag2.setForeground(Color.blue);
		Monat2.setForeground(Color.blue);
		Jahr2.setForeground(Color.blue);
		Tag2.reshape(100,240,35,30);
		Monat2.reshape(220,240,35,30);
		Jahr2.reshape(350,240,60,30);
		Jahr2.disable();
		Monat2.disable();
		Tag2.disable();
		Tagl.reshape(50,210,40,25);
		Monatl.reshape(150,210,60,25);
		Jahrl.reshape(260,210,80,25);
		Go.reshape(420,210,35,35);
		Dual.reshape(420,250,60,20);
	}  

	public void paint(Graphics g) {
		this.update(g);
	}
 
	public void update(Graphics g) {
	int i_xy;
	int i;
	int j;
	int k;
	int result;
	int result2; 
		g.clearRect(0,0,500,200);
		g.setColor(Color.black);
		g.drawLine(x0,x0-2,x0,y0+5);
		g.drawLine(x0-5,y0,460,y0);
		i_xy=162;
		i=1;
		while (i_xy>=18) {
			g.drawLine(x0-2,i_xy,x0+2,i_xy);
			g.drawString(i + "",x0-15,i_xy+5);
			i_xy=i_xy-18;
			i++;
		}	
		i_xy=64;
		i=10;
		while (i_xy<460) {
			g.drawLine(i_xy,y0-2,i_xy,y0+2);
			g.drawString(i + "",i_xy-10,y0+15);
			i_xy=i_xy+44;
			i=i+10;
		}	
		g.setColor(Color.blue);
		g.drawString("Live_K",x0-15,10);
		g.drawString("Alter",450,y0+15);

		result=(tag*100+monat)*jahr;
		
		i=0;
		while (result!=0) {
			vektor[i]=result%10;
			result=(result-result%10)/10;
			i++;
		}
		
		g.setColor(Color.red);
		i=9;
		while  ((i>=0)&&(vektor[i]==-1)) i--;
		j=1;
		if (i>=0) g.drawLine(20,180,20+44*j,180-18*vektor[i]);
		while(i>0) {
			g.drawLine(20+44*j,180-18*vektor[i],20+44*(j+1),180-18*vektor[i-1]);
			i--;
			j++;
		}

		if (paar) {
			result2=(tag2*100+monat2)*jahr2;
			i=0;
			while (result2!=0) {
				vektor2[i]=result2%10;
				result2=(result2-result2%10)/10;
				i++;
			}
		
			g.setColor(Color.blue);
			i=9;
			while (vektor2[i]==-1) i--;
			j=1;
			g.drawLine(20,180,20+44*j,180-18*vektor2[i]);
			while(i>0) {
				g.drawLine(20+44*j,180-18*vektor2[i],20+44*(j+1),180-18*vektor2[i-1]);
				i--;
				j++;
			}
		}
	}

	public boolean handleEvent (Event evt) {
	int i;
		if ((evt.target==Go)&&(evt.id==Event.ACTION_EVENT)) {
		try {
			jahr=Integer.parseInt(Jahr.getText());
			tag=Integer.parseInt(Tag.getText());
			monat=Integer.parseInt(Monat.getText());
			if (paar) {
				jahr2=Integer.parseInt(Jahr2.getText());
				tag2=Integer.parseInt(Tag2.getText());
				monat2=Integer.parseInt(Monat2.getText());
			}
		} catch (NumberFormatException e) {};
			for (i=0; i<10; i++) vektor2[i]=-1;
			for (i=0; i<10; i++) vektor[i]=-1;
			this.repaint();
		 }
		if (evt.target==Dual) {
			if (Dual.getState()) {
				Jahr2.enable();
				Monat2.enable();
				Tag2.enable();
				paar=true;
			}
			else {
				Jahr2.setText("");
				Monat2.setText("");
				Tag2.setText("");
				Jahr2.disable();
				Monat2.disable();
				Tag2.disable();
				paar=false;
			}
		}

		return super.handleEvent(evt);
	}
}
